DACS_CONF(8)

Name
dacs_conf - display DACS configuration directives

Synopsis

dacs_conf [dacsoptions[1]]

DESCRIPTION

This program is part of the DACS suite.

The dacs_conf web service processes and displays DACS configuration files (see dacs.conf(5)[2]).

If XML output is selected, a document conforming to dacs_conf_reply.dtd[3] is returned.

Although the order in which clauses appear in configuration files can be important, the order of configuration directives is for the most part not significant. The exception is the EVAL[4] directive. These directives are listed in the order in which they would be evaluated, and their unevaluated values appear in the output.

    Note

    This program is also available as a DACS utility, dacsconf(1)[5]. Because dacs_admin(8)[6] provides the same functionality and more, dacs_conf may be removed in a future release.

    Security

    Because the configuration details that are displayed could be taken advantage of by an attacker, the default DACS ACL restricts use of this web service to a DACS administrator.

OPTIONS

  Web Service Arguments

In addition to the standard CGI arguments[7], dacs_conf understands the following CGI arguments:

DIRECTIVE
    This optional, repeatable argument is a comma-separated list of directive names or variable references to be displayed. This is similar to the directive-name arguments to dacsconf(1)[5].

    An example of a directive name is JURISDICTION_NAME. An example of a variable reference is ${Conf::jurisdiction_name:i}.

VARS
    If the value of this optional argument is "yes", the effect on output formatting is the same as when the -vars flag is give to dacsconf(1)[5]. The default value is "no".

FILES

conf.css[8]

DIAGNOSTICS

The program exits 0 if everything was fine, 1 if an error occurred.

BUGS

The JSON output flavour (FORMAT) is not implemented.

SEE ALSO

dacsconf(1)[5], dacs.conf(5)[2]

AUTHOR

Distributed Systems Software (www.dss.ca[9])

COPYING

Copyright © 2003-2015 Distributed Systems Software. See the LICENSE[10] file that accompanies the distribution for licensing information.

Notes

1.  dacsoptions
    http://dacs.dss.ca/man/dacs.1.html#dacsoptions

2.  dacs.conf(5)
    http://dacs.dss.ca/man/dacs.conf.5.html

3.  dacs_conf_reply.dtd
    http://dacs.dss.ca/man/../dtd-xsd/dacs_conf_reply.dtd

4.  EVAL
    http://dacs.dss.ca/man/dacs.conf.5.html#EVAL

5.  dacsconf(1)
    http://dacs.dss.ca/man/dacsconf.1.html

6.  dacs_admin(8)
    http://dacs.dss.ca/man/dacs_admin.8.html

7.  standard CGI arguments
    http://dacs.dss.ca/man/dacs.services.8.html#standard_cgi_args

8.  conf.css
    http://dacs.dss.ca/man//css/conf.css

9.  www.dss.ca
    http://www.dss.ca

10. LICENSE
    http://dacs.dss.ca/man/../misc/LICENSE